summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWillem Jan Palenstijn <Willem.Jan.Palenstijn@cwi.nl>2017-01-23 12:01:24 +0100
committerWillem Jan Palenstijn <Willem.Jan.Palenstijn@cwi.nl>2017-03-20 15:49:13 +0100
commitf0888d0cb90e3eef2cb31a4e1b183876a0bc3f42 (patch)
treece486d36880caf501c6898537e1babd7dac05a5e
parente4ca9eb2bf7371fa9c1ac8951d298c989cb5aa28 (diff)
downloadastra-f0888d0cb90e3eef2cb31a4e1b183876a0bc3f42.tar.gz
astra-f0888d0cb90e3eef2cb31a4e1b183876a0bc3f42.tar.bz2
astra-f0888d0cb90e3eef2cb31a4e1b183876a0bc3f42.tar.xz
astra-f0888d0cb90e3eef2cb31a4e1b183876a0bc3f42.zip
Use true instead of /bin/true
It's in /usr/bin/ on macOS.
-rw-r--r--python/conda/libastra/build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/python/conda/libastra/build.sh b/python/conda/libastra/build.sh
index 5807697..46736c4 100644
--- a/python/conda/libastra/build.sh
+++ b/python/conda/libastra/build.sh
@@ -7,7 +7,7 @@ $SRC_DIR/build/linux/autogen.sh
# Add C++11 to compiler flags if nvcc supports it, mostly to work around a boost bug
NVCC=$CUDA_ROOT/bin/nvcc
echo "int main(){return 0;}" > $CONDA_PREFIX/test.cu
-$NVCC $CONDA_PREFIX/test.cu -ccbin $CC --std=c++11 -o $CONDA_PREFIX/test.out > /dev/null && EXTRA_NVCCFLAGS="--std=c++11" || /bin/true
+$NVCC $CONDA_PREFIX/test.cu -ccbin $CC --std=c++11 -o $CONDA_PREFIX/test.out > /dev/null && EXTRA_NVCCFLAGS="--std=c++11" || true
rm -f $CONDA_PREFIX/test.out
$SRC_DIR/build/linux/configure --with-install-type=prefix --with-cuda=$CUDA_ROOT --prefix=$CONDA_PREFIX NVCCFLAGS="-ccbin $CC $EXTRA_NVCCFLAGS" CC=$CC CXX=$CXX CFLAGS="-I$CONDA_PREFIX/include/boost" CXXFLAGS="-I$CONDA_PREFIX/include/boost"